Skip to main content
GET
/
{projectId}
/
usage
Get usage
curl --request GET \
  --url https://api.testdino.com/api/public/v1/{projectId}/usage \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "planName": "<string>",
    "orgLimit": 123,
    "orgUsed": 123,
    "orgRemaining": 123,
    "projectAllocated": 123,
    "projectUsed": 123,
    "projectRemaining": 123,
    "unallocatedPool": 123,
    "periodStart": "2023-11-07T05:31:56Z",
    "periodEnd": "2023-11-07T05:31:56Z",
    "resetDate": "2023-11-07T05:31:56Z",
    "orgName": "<string>",
    "projects": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "projectUsage": [
      {
        "id": "<string>",
        "name": "<string>",
        "allocated": 123,
        "used": 123,
        "remaining": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Project PAT (tdp_) token with public-api scope

Path Parameters

projectId
string
required

The project identifier (e.g. project_abc123). Must match the project associated with your PAT.

Response

Usage statistics

success
boolean
data
object